using Mapster;


namespace Model
{
    /// <summary>
    /// 快闪刷商户绑定 KssBind
    /// </summary>
    [SugarTable("KssBind", "快闪刷商户绑定")]
    [Tenant("0")]
    public class KssBind
    {
        /// <summary>
        /// 机构名称
        /// </summary>
        [SugarColumn(ColumnDescription = "机构名称", Length = 64, ColumnName = "AgentName")]
        public string? agentName { get; set; }


        /// <summary>
        /// 商户编号
        /// </summary>
        [SugarColumn(ColumnDescription = "商户编号", Length = 32, IsPrimaryKey = true, ColumnName = "MerNo")]
        public string? merNo { get; set; }


        /// <summary>
        /// 商户名称
        /// </summary>
        [SugarColumn(ColumnDescription = "商户名称", Length = 32, ColumnName = "MerName")]
        public string? merName { get; set; }


        /// <summary>
        /// 终端机身号
        /// </summary>
        [SugarColumn(ColumnDescription = "终端机身号", Length = 32, ColumnName = "MerSnNo")]
        public string? merSnNo { get; set; }


        /// <summary>
        /// 操作时间
        /// </summary>
        [SugarColumn(ColumnDescription = "操作时间", ColumnName = "MerOperateDate")]
        public DateTime? merOperateDate { get; set; }


        /// <summary>
        /// 操作类型
        /// </summary>
        [SugarColumn(ColumnDescription = "操作类型", Length = 16, ColumnName = "MerOperateType")]
        public string? merOperateType { get; set; }


        /// <summary>
        /// 商户状态
        /// </summary>
        [SugarColumn(ColumnDescription = "商户状态", Length = 16, ColumnName = "MerStatus")]
        public string? merStatus { get; set; }


        /// <summary>
        /// 产品类型
        /// </summary>
        [SugarColumn(ColumnDescription = "产品类型", Length = 32, ColumnName = "ProductType")]
        public string? productType { get; set; }


        /// <summary>
        /// 新终端机身号
        /// </summary>
        [SugarColumn(ColumnDescription = "新终端机身号", Length = 32, ColumnName = "MerNewSnNo")]
        public string? merNewSnNo { get; set; }


        /// <summary>
        /// 注释
        /// </summary>
        [SugarColumn(ColumnDescription = "注释", Length = 64, ColumnName = "Remark")]
        public string? remark { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "CreateTime")]
        public DateTime? createTime { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "UpdateTime")]
        public DateTime? updateTime { get; set; }



    }
}