using Attribute;
using Model;
using Model.Base;
using Repository;
using Service;
using Microsoft.AspNetCore.Mvc;


namespace Services
{
    /// <summary>
    /// 绑定记录Service业务层处理
    /// </summary>
    [AppService(ServiceType = typeof(IBindRecordService), ServiceLifetime = LifeTime.Transient)]
    public class BindRecordService : BaseService<BindRecord>, IBindRecordService
    {

    }
}
