using Attribute;
using Model;
using Model.Base;
using Repository;
using Service;
using Microsoft.AspNetCore.Mvc;


namespace Services
{
    /// <summary>
    /// 换绑记录Service业务层处理
    /// </summary>
    [AppService(ServiceType = typeof(IChangeBindRecordService), ServiceLifetime = LifeTime.Transient)]
    public class ChangeBindRecordService : BaseService<ChangeBindRecord>, IChangeBindRecordService
    {

    }
}
