using Attribute;
using Model;
using Model.Base;
using Repository;
using Service;
using Microsoft.AspNetCore.Mvc;


namespace Services
{
    /// <summary>
    /// 快闪刷商户首刷Service业务层处理
    /// </summary>
    [AppService(ServiceType = typeof(IKssTradeFirstService), ServiceLifetime = LifeTime.Transient)]
    public class KssTradeFirstService : BaseService<KssTradeFirst>, IKssTradeFirstService
    {

    }
}
