using Attribute;
using Model;
using Model.Base;
using Repository;
using Service;
using Microsoft.AspNetCore.Mvc;


namespace Services
{
    /// <summary>
    /// 激活记录Service业务层处理
    /// </summary>
    [AppService(ServiceType = typeof(IActivateRecordService), ServiceLifetime = LifeTime.Transient)]
    public class ActivateRecordService : BaseService<ActivateRecord>, IActivateRecordService
    {

    }
}
