using Attribute;
using Model;
using Model.Base;
using Repository;
using Service;
using Microsoft.AspNetCore.Mvc;


namespace Services
{
    /// <summary>
    /// 自建表创建记录Service业务层处理
    /// </summary>
    [AppService(ServiceType = typeof(ICustomerTableRecordService), ServiceLifetime = LifeTime.Transient)]
    public class CustomerTableRecordService : BaseService<CustomerTableRecord>, ICustomerTableRecordService
    {

    }
}
