using Attribute;
using Model;
using Model.Base;
using Repository;
using Service;
using Microsoft.AspNetCore.Mvc;


namespace Services
{
    /// <summary>
    /// 快钱MPOS激活抓取Service业务层处理
    /// </summary>
    [AppService(ServiceType = typeof(IKqActivateService), ServiceLifetime = LifeTime.Transient)]
    public class KqActivateService : BaseService<KqActivate>, IKqActivateService
    {

    }
}
