using Attribute;
using Model;
using Model.Base;
using Repository;
using Service;
using Microsoft.AspNetCore.Mvc;


namespace Services
{
    /// <summary>
    /// 分润记录Service业务层处理
    /// </summary>
    [AppService(ServiceType = typeof(IProfitRecordService), ServiceLifetime = LifeTime.Transient)]
    public class ProfitRecordService : BaseService<ProfitRecord>, IProfitRecordService
    {

    }
}
